# Holdings Endpoint: GET /api/ledger/holding Version: 1.0.0 Security: JWT ## Query parameters: - `accountIds` (array) Account ids: if specified, limits results to the items related to the accounts whose ids match the provided set; otherwise, all results related to any authorized account will be returned - `vintageStart` (string) Vintage start (inclusive). Example: 2024-08-01T00:00:00Z - `vintageEnd` (string) Vintage end (exclusive). Example: 2024-08-31T00:00:00Z - `program` (string) Program code - `$filter` (string) OData-like filter expression - `$orderby` (string) Comma-separated list of columns for sorting - `$skip` (integer) Number of records to skip - `$top` (integer) Maximum number of records to return ## Response 200 fields (application/json): - `@count` (integer) - `countExceeded` (boolean, required) - `totalCount` (integer) - `value` (array, required) - `value.accountId` (string, required) The account identifier Example: "55" - `value.beneficialOwner` (string) The beneficial owner Example: "Acme Corp." - `value.certificateSerialNumberRange` (string, required) The certificate serial number range Example: "TIGR-1234-GT-SM-08-2024-321-1 to 66" - `value.certificateStatus` (string, required) The certificate status: see documentation for possible values Example: "RETIRED" - `value.countryIso2Code` (string, required) The country to which resource belongs as an ISO-2 code Example: "GT" - `value.creditType` (string, required) The credit type: see documentation for possible values Example: "TIGR" - `value.fuelTypeCode` (string, required) The fuel type code: see documentation for possible values Example: "HRR" - `value.fuelTypeDescription` (string, required) The fuel type description: see documentation for possible values Example: "Hydroelectric - Run-of-River" - `value.quantity` (number, required) The holding quantity Example: "55" - `value.resourceName` (string, required) The resource name Example: "Acme Hydro Unit 1" - `value.resourceProgramAssignedIdentifier` (string, required) The resource identifier Example: "1234" - `value.retireDate` (string) The retire date Example: "2024-01-24T03:01:57.82Z" - `value.retirementDetails` (string) Additional retirement details Example: "Retired for Green Energy Program" - `value.retirementReasonCode` (string) The retirement reason code: see documentation for possible values Example: "7" - `value.retirementReasonDescription` (string) The retirement reason description: see documentation for possible values Example: "Meet Corporate Renewable Energy Goals" - `value.retirementTypeCode` (string, required) The retirement type code: see documentation for possible values Example: "OTH" - `value.retirementTypeDescription` (string, required) The retirement type description: see documentation for possible values Example: "On Behalf of Corporate Retirement" - `value.subaccountId` (string, required) The subaccount identifier Example: "99" - `value.subaccountName` (string, required) The subaccount name Example: "Acme Retirements" - `value.vintageEnd` (string, required) The vintage end Example: "2024-08-31T00:00:00Z" - `value.vintageStart` (string, required) The vintage start Example: "2024-08-01T00:00:00Z" ## Response 400 fields (application/json): - `errors` (array) List of errors - `errors.code` (string, required) The error code - `errors.correlationId` (string) The correlation identifier from the input - `errors.field` (string) The field in error, if applicable - `errors.message` (string, required) The error message - `errors.parameter` (string) The parameter in error, if applicable - `errors.path` (string) The path to the field specifically in error, if applicable - `submissionId` (string) Submission identifier for issue investigation ## Response 401 fields (application/json): - `errors` (array) List of errors - `errors.code` (string, required) The error code - `errors.correlationId` (string) The correlation identifier from the input - `errors.field` (string) The field in error, if applicable - `errors.message` (string, required) The error message - `errors.parameter` (string) The parameter in error, if applicable - `errors.path` (string) The path to the field specifically in error, if applicable - `submissionId` (string) Submission identifier for issue investigation ## Response 403 fields (application/json): - `errors` (array) List of errors - `errors.code` (string, required) The error code - `errors.correlationId` (string) The correlation identifier from the input - `errors.field` (string) The field in error, if applicable - `errors.message` (string, required) The error message - `errors.parameter` (string) The parameter in error, if applicable - `errors.path` (string) The path to the field specifically in error, if applicable - `submissionId` (string) Submission identifier for issue investigation ## Response 429 fields (application/json): - `errors` (array) List of errors - `errors.code` (string, required) The error code - `errors.correlationId` (string) The correlation identifier from the input - `errors.field` (string) The field in error, if applicable - `errors.message` (string, required) The error message - `errors.parameter` (string) The parameter in error, if applicable - `errors.path` (string) The path to the field specifically in error, if applicable - `submissionId` (string) Submission identifier for issue investigation ## Response 500 fields (application/json): - `errors` (array) List of errors - `errors.code` (string, required) The error code - `errors.correlationId` (string) The correlation identifier from the input - `errors.field` (string) The field in error, if applicable - `errors.message` (string, required) The error message - `errors.parameter` (string) The parameter in error, if applicable - `errors.path` (string) The path to the field specifically in error, if applicable - `submissionId` (string) Submission identifier for issue investigation